QGIS Application - Bug report #1701
copy and paste of objects should take care of CRS

2009-05-17 07:19 AM - Marco Lechner

Status: Closed

Priority: Low

Assignee: nobody -
Category: Projection Support

Affected QGIS version:
Operating System: All

Pull Request or Patch supplied:
Crashes QGIS or corrupts data:

Regression?: No
Easy fix?: No
Resolution: fixed

Copied to github as #: 11761

Description

By copying objects from one vectorlayer to another should take care of different KBS of the layers if they vary (e.g. if

On-The-Fly-Projection is used).

Right now the copy/patse doesn't work as expected, not taking care of that, because copy/paste is possible, but produces wrong results

in those cases.

Associated revisions

Revision 2779129e - 2009-08-17 02:38 PM - Magnus Homann

Added OTFP to the clipboard contents (if OTFP is on). Fixes #1701

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@11409 ¢8812cc2-4d05-0410-92ff-de0c093fc19¢c

Revision e4f05aa8 - 2009-08-17 02:38 PM - Magnus Homann

Added OTFP to the clipboard contents (if OTFP is on). Fixes #1701

git-svn-id: http://svn.osgeo.org/qgis/trunk@11409 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-07-16 01:08 AM - Giovanni Manghi

Still true on qggis 1.2 from trunk.

Pushing the milestone.

#2 - 2009-08-06 09:20 AM - Magnus Homann

What is 'KBS'???

#3 - 2009-08-06 09:25 AM - Giovanni Manghi

CRS, I guess...
#4 - 2009-08-10 08:32 AM - Giovanni Manghi

For what | see now on the user manual (tip 21 on page 58 of the qgis 1.1 manual) it seems that when pasting a feature from a layer with a different
projection, qgis should reproject it (but with an advice of possibly have the geometry of the pasted layer changed), so the bug should be confirmed.

Please check it and correct me if I'm wrong, because it seems strange to me that a documented feature is not working the right way.

From the manual

CONGRUENCY OF PASTED FEATURES

If your source and destination layers use the same projection, then the pasted features will have geometry identical to the source layer. However if the

destination layer is a different projection then QGIS cannot guarantee the geometry is identical. This is simply because there are small rounding-off

errors involved when converting between projections.

#5 - 2009-08-17 05:38 AM - Magnus Homann
- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:e4f05aa8 (SVN r11410).
